'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTour = exports.useSignup = exports.useSignin = exports.useSign = exports.useMailer = exports.useJwt = exports.hasSubscribedApiAccess = exports.getApiAccess = exports.generateUserId = exports.generateHash = exports.generateActivationHash = exports.formatUserForFrontend = undefined;

var _jwt = require('./jwt');

var _mailer = require('./mailer');

var _sign = require('./sign');

var _signin = require('./signin');

var _signup = require('./signup');

var _tour = require('./tour');

exports.formatUserForFrontend = _signup.formatUserForFrontend;
exports.generateActivationHash = _signup.generateActivationHash;
exports.generateHash = _signup.generateHash;
exports.generateUserId = _signup.generateUserId;
exports.getApiAccess = _jwt.getApiAccess;
exports.hasSubscribedApiAccess = _jwt.hasSubscribedApiAccess;
exports.useJwt = _jwt.useJwt;
exports.useMailer = _mailer.useMailer;
exports.useSign = _sign.useSign;
exports.useSignin = _signin.useSignin;
exports.useSignup = _signup.useSignup;
exports.useTour = _tour.useTour;

var transactionExpressPassport = { formatUserForFrontend: _signup.formatUserForFrontend,
  generateActivationHash: _signup.generateActivationHash,
  generateHash: _signup.generateHash,
  generateUserId: _signup.generateUserId,
  getApiAccess: _jwt.getApiAccess,
  hasSubscribedApiAccess: _jwt.hasSubscribedApiAccess,
  useJwt: _jwt.useJwt,
  useMailer: _mailer.useMailer,
  useSignin: _signin.useSignin,
  useSignup: _signup.useSignup,
  useTour: _tour.useTour
};
exports.default = transactionExpressPassport;